package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;



/**
 * 巡检项目信息对象 dms_base_inspect_project
 *
 * @author Open Platform
 * @date 2024-01-17
 */
public class DmsBaseInspectProject extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long inspectProjectId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String inspectProjectCode;

    /** 巡检项目 */
    @Excel(name = "巡检项目")
    private String inspectProject;

    /** 检查类型(1巡检,2点检) */
    @Excel(name = "检查类型(1巡检,2点检)")
    private String inspectType;

    /**巡检项目属性(1定性,2定量) */
    private String inspectProjectProperty;

    /** 记录方式 */
    @Excel(name = "记录方式")
    private String recordMethod;

    /** 上限 */
    @Excel(name = "上限")
    private BigDecimal upLimit;

    /** 下限 */
    @Excel(name = "下限")
    private BigDecimal lowLimit;

    /** 默认值 */
    @Excel(name = "默认值")
    private BigDecimal defValue;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    public void setInspectProjectId(Long inspectProjectId)
    {
        this.inspectProjectId = inspectProjectId;
    }

    public Long getInspectProjectId()
    {
        return inspectProjectId;
    }
    public void setInspectProjectCode(String inspectProjectCode)
    {
        this.inspectProjectCode = inspectProjectCode;
    }

    public String getInspectProjectCode()
    {
        return inspectProjectCode;
    }
    public void setInspectProject(String inspectProject)
    {
        this.inspectProject = inspectProject;
    }

    public String getInspectProject()
    {
        return inspectProject;
    }
    public void setInspectType(String inspectType)
    {
        this.inspectType = inspectType;
    }

    public String getInspectType()
    {
        return inspectType;
    }

    public String getInspectProjectProperty() {
        return inspectProjectProperty;
    }

    public void setInspectProjectProperty(String inspectProjectProperty) {
        this.inspectProjectProperty = inspectProjectProperty;
    }

    public void setRecordMethod(String recordMethod)
    {
        this.recordMethod = recordMethod;
    }

    public String getRecordMethod()
    {
        return recordMethod;
    }
    public void setUpLimit(BigDecimal upLimit)
    {
        this.upLimit = upLimit;
    }

    public BigDecimal getUpLimit()
    {
        return upLimit;
    }
    public void setLowLimit(BigDecimal lowLimit)
    {
        this.lowLimit = lowLimit;
    }

    public BigDecimal getLowLimit()
    {
        return lowLimit;
    }
    public void setDefValue(BigDecimal defValue)
    {
        this.defValue = defValue;
    }

    public BigDecimal getDefValue()
    {
        return defValue;
    }
    public void setIsFlag(String isFlag)
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("inspectProjectId", getInspectProjectId())
            .append("inspectProjectCode", getInspectProjectCode())
            .append("inspectProject", getInspectProject())
            .append("inspectType", getInspectType())
            .append("recordMethod", getRecordMethod())
            .append("upLimit", getUpLimit())
            .append("lowLimit", getLowLimit())
            .append("defValue", getDefValue())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
